import { Separator } from "@/components/ui/separator";
import { SidebarNav } from "./components/sidebar-nav";

const sidebarNavItems = [
  {
    title: "基本信息",
    href: "/problems/new",
  },
  {
    title: "详细内容",
    href: "/problems/new/details",
  },
];

interface SettingsLayoutProps {
  children: React.ReactNode;
}

export default function ProblemCreateLayout({ children }: SettingsLayoutProps) {
  return (
    <div className="space-y-6 px-10 pt-5 pb-16">
      <div className="space-y-0.5">
        <h2 className="text-2xl font-bold tracking-tight">新建题目</h2>
        <p className="text-muted-foreground">在此处编辑题目信息</p>
      </div>
      <Separator className="my-6" />
      <div className="flex flex-col space-y-8 lg:flex-row lg:space-x-12 lg:space-y-0">
        <aside className="-mx-4 lg:w-1/5">
          <SidebarNav items={sidebarNavItems} />
        </aside>
        <div className="flex-1 lg:max-w-2xl">{children}</div>
      </div>
    </div>
  );
}
